%define rname user-agent-switcher
%define cid \{e968fc70-8f95-4ab9-9e79-304de2a71ee1\}
%define ciddir %firefox_noarch_extensionsdir/%cid

Name: %firefox_name-%rname
Version: 0.7.2
Release: alt2
Summary: User Agent Switcher extension for Firefox

License: GPLv3
Group: Networking/WWW
URL: http://chrispederick.com/work/user-agent-switcher/

Source0: %rname.xpi
Source1: install.rdf

BuildArch: noarch
BuildRequires: rpm-build-firefox unzip

Packager: Igor Zubkov <icesik@altlinux.org>

%description
The User Agent Switcher extension adds a menu and a toolbar button to switch
the user agent of the browser. It is designed for Firefox, Flock, Mozilla 
and Seamonkey, and will run on any platform that these browsers support
including Windows, Mac OS  X and Linux.

%prep
%setup -c
cp -f %SOURCE1 .

%install
mkdir -p %buildroot/%ciddir
cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Mon Jan 25 2010 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt2
- update for firefox 3.6

* Fri Jul 31 2009 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt1
- 0.6.11 -> 0.7.2
- cleanup manual requires

* Fri Apr 04 2008 Igor Zubkov <icesik@altlinux.org> 0.6.11-alt1
- 0.6.10 -> 0.6.11

* Tue Aug 07 2007 Igor Zubkov <icesik@altlinux.org> 0.6.10-alt1
- build for Sisyphus

